<?php
$fromHome = isset($this->fromHome) ? $this->fromHome : false;

?>

<?php if (!$fromHome) : ?>
<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><a href="<?= $this->url('profile') ?>"><?= $this->translate('profile_module_title') ?></a></li>
    <li class="active"><?= $this->translate('profile_nav_list') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('profile') ?> <?= $this->translate('profile_module_title') ?>
</h1>

 <div class="row row-padding">
    <div class="col-xs-12">
        <div class="panel" ng-controller="profileListController as self" ng-init="self.init(<?= $this->authStorage()->getUser()->getId() ?>)">
            <?php endif; ?>
            <table-builder options="self.options" items="self.profiles" class="table-builder">
                <?php if (!$fromHome) : ?>
                <div class="panel-heading">
                    <?= $this->translate('profile_nav_list') ?>
                    <div class="panel-heading-right">

                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
                            <?= $this->icon('eraser', 'fa-fw pointer', ['ng-click' => '__tb.removeFromList()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                            <?= $this->icon('excel', 'fa-fw pointer', ['ng-click' => '__tb.exportExcel()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_refresh') ?>">
                            <?= $this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <?php endif; ?>
                    <div class="row">
                        <?php if (!$fromHome) : ?>
                        <div class="col-sm-4">
                            <div class="table-filters little-panel">
                                <div class="title table-filters-header">
                                    <div class="input-group">
                                        <div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed">
                                            <?= $this->icon('filters', 'fa-fw') ?>
                                            <span class="caret"></span>
                                        </div>
                                        <input type="text" placeholder="<?= $this->translate('search', null, null, false) ?>" class="form-control"
                                               ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()"/>
                                        <div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
                                            <?= $this->icon('search', 'fa-fw') ?>
                                        </div>
                                    </div>
                                </div>
                                <div id="filters-collapsed" class="body collapse">
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?= $this->translate('table_filter_reset_button') ?></button>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
                                                <?= $this->icon('search', 'fa-fw') ?>
                                                <?= $this->translate('table_filter_button') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <div class="col-sm-4">
                            <table-builder-columns ng-show="self.view == 'list'"></table-builder-columns>
                        </div>
                        <?php if ($this->acl()->isAllowed('application:e:query:r') && !$fromHome) : ?>
                            <div class="col-sm-4">
                                <table-builder-queries></table-builder-queries>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="row">
                        <div class="col-xs-12" ng-show="self.view == 'list'">
                            <form name="profileForm">
                                <table table-builder-table class="table table-bordered table-condensed table-hover">
                                    <thead>
                                        <tr>
                                            <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                            <th tb-column tb-name="name" tb-sortable="true" tb-toggle="true"><?= $this->translate('profile_field_name') ?></th>
                                            <th tb-column tb-name="price_per_hour" tb-sortable="true" tb-toggle="true"><?= $this->translate('profile_field_price_per_hour') ?></th>
                                            <th tb-column tb-name="price_per_day" tb-sortable="true" tb-toggle="true"><?= $this->translate('profile_field_price_per_day') ?></th>
                                            <th tb-column tb-name="hour_per_day" tb-sortable="true" tb-toggle="true"><?= $this->translate('profile_field_hour_per_day') ?></th>
                                            <th tb-column tb-name="actions" class="actions-column"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="profile in self.profiles">
                                            <td><input type="checkbox" ng-model="profile.selected"/></td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== profile">
                                                    <a ng-if="profile._rights.read" ng-click="self.editprofile(profile)" class="pointer">{{profile.name}}</a>
                                                    <span ng-if="!profile._rights.read">{{profile.name}}</span>

                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(profile)', 'ng-if' => 'profile._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == profile">
                                                    <input type="text" name="name" class="form-control" required autocomplete="off"
                                                           ng-model="self.editedLineFields.name"  />
                                                    <field-errors field="name" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable text-right">
                                                <span ng-show="self.editedLine !== profile">
                                                    <a ng-if="profile._rights.read" ng-click="self.editprofile(profile)" class="pointer">{{profile.price_per_hour}}</a>
                                                    <span ng-if="!profile._rights.read">{{profile.price_per_hour}}</span>

                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(profile)', 'ng-if' => 'profile._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == profile">
                                                    <input type="text" name="price_per_hour" class="form-control" required autocomplete="off"
                                                           ng-model="self.editedLineFields.price_per_hour"  />
                                                    <field-errors field="price_per_hour" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable text-right">
                                                <span ng-show="self.editedLine !== profile">
                                                    <a ng-if="profile._rights.read" ng-click="self.editprofile(profile)" class="pointer">{{profile.price_per_day}}</a>
                                                    <span ng-if="!profile._rights.read">{{profile.price_per_day}}</span>

                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(profile)', 'ng-if' => 'profile._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == profile">
                                                    <input type="text" name="price_per_day" class="form-control" required autocomplete="off"
                                                           ng-model="self.editedLineFields.price_per_day"  />
                                                    <field-errors field="price_per_day" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>

                                            <td class="editable text-right">
                                                <span ng-show="self.editedLine !== profile">
                                                    <a ng-if="profile._rights.read" ng-click="self.editprofile(profile)" class="pointer">{{profile.hour_per_day}}</a>
                                                    <span ng-if="!profile._rights.read">{{profile.hour_per_day}}</span>

                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(profile)', 'ng-if' => 'profile._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == profile">
                                                    <input type="number"
                                                           min="1"
                                                           max="24"
                                                           step="0.01"
                                                           name="hour_per_day" class="form-control" required autocomplete="off"
                                                           ng-model="self.editedLineFields.hour_per_day"  />
                                                    <field-errors field="hour_per_day" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine !== profile">
                                                    <?php if ($this->acl()->isAllowed('profile:e:profile:r')) : ?>
                                                        <a ng-if="profile._rights.read" ng-click="self.editprofile(profile)" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_edit') ?>">
                                                            <?= $this->icon('edit') ?>
                                                        </a>
                                                    <?php endif; ?>

                                                    <?php if ($this->acl()->isAllowed('profile:e:profile:d')) : ?>
                                                        <a ng-if="profile._rights.delete" ng-click="self.deleteprofile(profile)" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_delete') ?>">
                                                            <?= $this->icon('delete') ?>
                                                        </a>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine == profile">
                                                    <button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(profile)" type="submit" tooltip="<?= $this->translate('tooltip_save') ?>">
                                                        <?= $this->icon('save') ?>
                                                    </button>
                                                    <button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?= $this->translate('tooltip_cancel') ?>">
                                                        <?= $this->icon('close') ?>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <?php if (!$fromHome) : ?>
                </div>
            <?php endif; ?>
            </table-builder>

            <?= $this->partial('profile/index/form.phtml', ['from' => 'profile', 'object' => null]) ?>

            <?php
            $fabLinks = [];

            if ($this->acl()->isAllowed('profile:e:profile:c')) {
                $fabLinks[] = [
                    'ng-click' => 'self.createProfile(); showFab = false',
                    'href'     => '#',
                    'text'     => $this->icon('create', 'fa-fw') . ' ' . $this->translate('profile_nav_form')
                ];
            }

            echo $this->fabMenu($fabLinks); ?>

        </div>
    </div>
</div>



<?php
$this->angular('js/src/project/directive/projectSelect.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/keyword/directive/groupSelect.js');
$this->angular('js/src/keyword/directive/keywordsFormGroup.js');
$this->angular('js/src/user/directive/userSelect.js');

$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/profile/service/profile.js');
$this->angular('js/src/application/query/service/query.js');
$this->angular('js/src/project/service/project.js');
$this->angular('js/src/user/service/user.js');


$this->angular('js/src/profile/controller/profile/list.js');
$this->angular('js/src/profile/controller/profile/form.js');

?>

